<?php
/*
=============================================================================
NoIndex - Запрет индексирования не нужных страниц
=============================================================================
Автор модуля: Gameer
-----------------------------------------------------
URL: http://gameer.name/
-----------------------------------------------------
email: gameer.jp@gmail.gom
-----------------------------------------------------
skype: gameerblog
=============================================================================
Файл:  noindex.php
=============================================================================
Версия модуля : NoIndex Stable Release
=============================================================================
*/

if( !defined( 'DATALIFEENGINE' )) return;

$noindex 	= explode(",", trim(strip_tags(stripslashes($noindex)))); 	// запрет
$index 		= explode(",", trim(strip_tags(stripslashes($index))));		// разрешить
$follow 	= explode(",", trim(strip_tags(stripslashes($follow))));	// пустить

$page_arr = array(
	"cat_page", 			// страницы категорий
	"main_page",			// страницы главной
	"lastnews_page",		// страницы последних
	"xfsearch_page",		// страницы полей
	"lastcomments_page",	// страницы комментариев
	"newposts_page",		// страницы новых
	"catalog_page", 		// страницы каталога
	"allnews_page", 		// страницы новостей
	"date_page", 			// страницы даты
	"tags_page", 			// страницы тегов
	"showfull_page",		// страницы комментариев ... или PAGE BREAK
);
// на комментарии не нужно смотреть, они предназначены только для разработчика, то есть для меня.
$flag = false;

if(in_array($dle_module, $noindex) && empty($_REQUEST['cstart'])) // В массиве и нету страниц
{
	echo "<meta name=\"robots\" content=\"noindex,nofollow\" />"; // вывод
	return; // окончательно
}
elseif($page_f = array_intersect($page_arr, $noindex)) // если в массиве
{
	foreach($page_f as $key => &$val) // пробежимся по массиву
	{
		$val = str_replace("_page", "", $val); // сверка с dle_module
		if($val == $dle_module && !empty($_REQUEST['cstart'])) // если это так и есть страницы
		{
			echo "<meta name=\"robots\" content=\"noindex,nofollow\" />"; // вывод
			return; // окончательно
		}
	}
}

if(in_array($dle_module, $index) && empty($_REQUEST['cstart'])) // В массиве и нету страниц
{
	echo "<meta name=\"robots\" content=\"index,follow\" />"; // вывод
	return; // окончательно
}
elseif(($page_f = array_intersect($page_arr, $index)) && !$flag) // если в массиве
{
	foreach($page_f as $key => &$val) // пробежимся по массиву
	{
		$val = str_replace("_page", "", $val); // сверка с dle_module
		if($val == $dle_module && !empty($_REQUEST['cstart'])) // если это так и есть страницы
		{
			echo "<meta name=\"robots\" content=\"index,follow\" />"; // вывод
			return; // окончательно
		}
	}
}

if(in_array($dle_module, $follow) && empty($_REQUEST['cstart'])) // В массиве и нету страниц
	echo "<meta name=\"robots\" content=\"noindex,follow\" />"; // вывод
elseif(($page_f = array_intersect($page_arr, $follow)) && !$flag) // если в массиве
{
	foreach($page_f as $key => &$val)  // пробежимся по массиву
	{
		$val = str_replace("_page", "", $val); // сверка с dle_module
		if($val == $dle_module && !empty($_REQUEST['cstart'])) // если это так и есть страницы
			echo "<meta name=\"robots\" content=\"noindex,follow\" />"; // вывод
	}
}
?>